Commit 424f598c authored by Dominique Marcadet's avatar Dominique Marcadet

Merge branch '27-release-features-and-update-site' into 'master'

Resolve "Release features and update site"

Closes #27

See merge request RiseClipseGroup/RiseClipseDeveloper!33
parents d99796d0 81c302a7
......@@ -13,7 +13,7 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.developer.maven</artifactId>
<version>1.0.3-SNAPSHOT</version>
<version>1.0.5-SNAPSHOT</version>
<relativePath>../fr.centralesupelec.edf.riseclipse.developer.maven/pom.xml</relativePath>
</parent>
......
......@@ -9,7 +9,7 @@
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.developer.maven</artifactId>
<version>1.0.5-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
<packaging>pom</packaging>
<properties>
......@@ -98,8 +98,14 @@
<version>${tycho-version}</version>
<configuration>
<!--
This was in the students POM files, not sure why and when it is needed,
so commented out for the moment
We need this configuration parameter in order to build plugins which
depend on other RiseClipse plugins.
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, putting it here, in the pom root file, either in the pluginManagement
section or in the plugins section, does not seem to work. Therefore, this
parameter is set in each leaf pom.
<pomDependencies>consider</pomDependencies>
-->
......@@ -182,6 +188,11 @@
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>target-platform-configuration</artifactId>
<!-- see above, does not work either
<configuration>
<pomDependencies>consider</pomDependencies>
</configuration>
-->
</plugin>
<plugin>
......
......@@ -20,7 +20,7 @@
<feature
id="fr.centralesupelec.edf.riseclipse.feature.all"
label="%featureName"
version="1.0.0.qualifier"
version="1.0.1.qualifier"
provider-name="%providerName">
<description url="%descriptionURL">
......
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/xsd/maven-4.0.0.xsd">
<?xml version="1.0" encoding="UTF-8" standalone="no"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.all</artifactId>
<version>1.0.0-SNAPSHOT</version>
<version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencies ??
-->
<build>
<plugins>
<plugin>
......@@ -25,27 +20,28 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.main</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.editor</artifactId>
<version>1.0.1-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.iec61850.scl</artifactId>
<version>1.0.1-SNAPSHOT</version>
</dependency>
</dependencies>
</project>
......@@ -20,7 +20,7 @@
<feature
id="fr.centralesupelec.edf.riseclipse.feature.editor"
label="%featureName"
version="1.0.0.qualifier"
version="1.0.1.qualifier"
provider-name="%providerName">
<description url="%descriptionURL">
......
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/xsd/maven-4.0.0.xsd">
<?xml version="1.0" encoding="UTF-8" standalone="no"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.editor</artifactId>
<version>1.0.0-SNAPSHOT</version>
<version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencies ??
-->
<build>
<plugins>
<plugin>
......@@ -25,21 +20,25 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<version>1.0.1</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.main</artifactId>
<version>1.0.1</version>
</dependency>
</dependencies>
......
......@@ -20,7 +20,7 @@
<feature
id="fr.centralesupelec.edf.riseclipse.feature.iec61850.scl"
label="%featureName"
version="1.0.0.qualifier"
version="1.0.1.qualifier"
provider-name="%providerName">
<description url="%descriptionURL">
......
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/xsd/maven-4.0.0.xsd">
<?xml version="1.0" encoding="UTF-8" standalone="no"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.iec61850.scl</artifactId>
<version>1.0.0-SNAPSHOT</version>
<version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencied ??
-->
<build>
<plugins>
<plugin>
......@@ -25,22 +20,34 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main, nor scl !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.main</artifactId>
<version>1.0.1</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.iec61850.scl</artifactId>
<version>1.0.1</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.iec61850.scl.edit</artifactId>
<version>1.0.1</version>
</dependency>
</dependencies>
</project>
......@@ -3,13 +3,13 @@
<description name="Update site for RiseClipse" url="http://wdi.supelec.fr/riseclipse-update-site/1.0/">
RiseClipse is an umbrella name for tools based on Model Driven Engineering (MDE) technologies and dedicated to IEC standards. These tools are developed in the context of RISEGrid and used within or based on Eclipse or its plugins.
</description>
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.all_1.0.0.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.all" version="1.0.0.qualifier">
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.all_1.0.1.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.all" version="1.0.1.qualifier">
<category name="RiseClipse"/>
</feature>
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.iec61850.scl_1.0.0.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.iec61850.scl" version="1.0.0.qualifier">
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.iec61850.scl_1.0.1.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.iec61850.scl" version="1.0.1.qualifier">
<category name="RiseClipseSCL"/>
</feature>
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.editor_1.0.0.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.editor" version="1.0.0.qualifier">
<feature url="features/fr.centralesupelec.edf.riseclipse.feature.editor_1.0.1.qualifier.jar" id="fr.centralesupelec.edf.riseclipse.feature.editor" version="1.0.1.qualifier">
<category name="RiseClipseEditor"/>
</feature>
<category-def name="RiseClipse" label="RiseClipse"/>
......
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/xsd/maven-4.0.0.xsd">
<?xml version="1.0" encoding="UTF-8" standalone="no"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.update-site</artifactId>
<version>1.0.0-SNAPSHOT</version>
<version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-repository</packaging>
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencies ??
-->
<build>
<plugins>
<plugin>
......@@ -25,22 +20,22 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.all</artifactId>
<version>1.0.1-SNAPSHOT</version>
</dependency>
</dependencies>
</project>
......@@ -9,7 +9,7 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.developer.maven</artifactId>
<version>1.0.5-SNAPSHOT</version>
<version>1.0.6-SNAPSHOT</version>
<relativePath>fr.centralesupelec.edf.riseclipse.developer.maven/pom.xml</relativePath>
</parent>
......@@ -21,10 +21,10 @@
<modules>
<module>fr.centralesupelec.edf.riseclipse.developer.maven</module>
<!--module>fr.centralesupelec.edf.riseclipse.feature.all</module>
<module>fr.centralesupelec.edf.riseclipse.feature.all</module>
<module>fr.centralesupelec.edf.riseclipse.feature.editor</module>
<module>fr.centralesupelec.edf.riseclipse.feature.iec61850.scl</module>
<module>fr.centralesupelec.edf.riseclipse.update-site</module-->
<module>fr.centralesupelec.edf.riseclipse.update-site</module>
</modules>
</project>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment